WATCH(1)

NAMN
watch — kör ett program periodiskt och visa utdata i helskärm

SYNOPSIS
watch [flagga …] kommando

BESKRIVNING
watch kör kommando upprepade gånger, och visar dess utmatning och fel (den första skärmen). Detta gör att du kan se programmets utdata ändras över tiden. Som standard körs kommando varannan sekund och watch körs tills det avbryts. Ett sidhuvud informerar om start- och körtiden för kommando såväl som dess avslutningskod.

FLAGGOR

-b, --beep
    Pip om kommandot har en slutstatus skild från noll.

-c, --color
    Tolka ANSI:s färg- och stilsekvenser.

-C, --no-color
    Tolka inte ANSI:s färg- och stilsekvenser.

-d, --differences[=permanent]
    Markera skillnaderna mellan påföljande uppdateringar. Om det valfria argumentet permanent anges kommer watch visa alla ändringar sedan den första iterationen. Argumentet permanent behöver länkas till flaggan, såsom -d1 eller --differences=1.

-e, --errexit
    Frys uppdateringar vid fel från kommando, och avsluta efter en tangenttryckning. Slutkoden från watch kommer vara koden kommando avslutar med. Om signal n är orsaken till att kommando avslutar kommer slutkoden vara 128 + n.

-f, --follow
    Istället för att tömma skärmen vid varje uppdatering kommer watch skrolla utmatningen på ett liknande sätt som tail -f fungerar. Denna flagga är inte kompatibel med någon flagga för att spåra utmatningen på skärmen, såsom flaggorna --differences, --chgexit och --eqexit.

-g, --chgexit
    Sluta när den synliga utmatningen från kommando ändras. Ändringar som är utanför skärmen på grund av at skärmstorleken är liten eller utdata är stor kommer inte göra att watch avslutar.

-n, --interval sekunder
    Ange uppdateringsintervall. Värden mindre än 0,1 och större än 2678400 (31 dagar) konverteras till respektive gräns. Både ”.” och ”,” fungerar för alla lokaler. Miljövariabeln WATCH_INTERVAL kan användas för att sätta ett konstant annat intervall än standard (och följer samma regler och formatering).

-p, --precise
    Kör kommando --interval sekunder efter att föregående körning startades, istället för --interval sekunder efter att föregående körning avslutades. Om det tar längre tid än --interval sekunder för kommando att avsluta inväntas det i vilket fall som helst.

-q, --equexit <cykler>
    Avsluta när utmatningen från kommando inte ändras under det angivna antalet cykler.

-r, --no-rerun
    Kör inte programmet när terminalens storlek ändras, utdata från programmet kommer återkomma vid nästa ordinarie körtillfälle.

-s, --shotsdir
    Katalog att spara skärmbilder i.

-t, --no-title
    Stäng av huvudet som vanligen visas längst upp på skärmen.

-w, --no-wrap
    Slå av radbrytning. Långa rader kommer huggas av istället för att brytas till nästa rad.

-x, --exec
    Skicka kommando till ett anrop av exec(3) istället för sh -c. Programmet kommer startas något snabbare. Skalfunktioner (uppsättning av miljön, expansion av variabler och sökvägar, etc.) kommer inte vara tillgängliga.

-h, --help
    Visa hjälptext och avsluta.

-v, --version
    Visa versionsinformation och avsluta.

TANGENTSTYRNING

mellanrum
    Kör kommando omedelbart. Om det redan kör för närvarande avbryts det inte och dess nesta körning kommer starta utan fördröjning.

q   Avsluta watch. Det avbryter för närvarande inte ett körande kommando (till skillnad mot avslutande signaler, såsom SIGINT man får vid Ctrl+C).

s   Ta en skärmbild. Den kommer sparas i den aktuella katalogen om man inte anger något annat med --shotsdir. Om kommando kör för tillfället kommer skärmbilden tas så snart det avslutas.

SLUTSTATUS

0   Gick bra. Representerar inte kommandots slutkod.

1   Fel orelaterade till att köra kommando.

2   Fel relaterade till att köra och hantera kommando (inte dess slutkod).

bestående
    Med --errexit returneras den sista slutkoden från kommando.

MILJÖ
Beteendet hos watch påverkas av följande miljövariabler.

WATCH_INTERVAL
    Uppdateringsintervall, följer samma regler som kommandoradsflaggan --interval.

COLUMNS
    Bredden på terminalskärmen i tecken. Sätt för att åsidosätta automatisk detektering.

LINES
    Höjden på terminalskärmen i tecken. Sätt för att åsidosätta automatisk detektering.

OBSERVERA
POSIX flagghantering används (d.v.s., flaggbearbetning slutar vid det första argumentet som inte är en flagga). Detta betyder att flaggor efter kommando inte tolkas av watch självt.

Icke skrivbara tecken tas bort från programs utdata. Använd cat -v som en del av kommandoröret om du vill se dem.

EXEMPEL

För att se innehållet i en katalog ändras kan du använda

    watch -d ls -l

Om du har CPU:er med en dynamisk frekvens och vill observera hur den ändras, prova följande. Kommandot skickas till skalet, som låter dig skapa röret. Citationstecknen är också en funktion i skalet.

    watch -n1 'grep "^cpu MHz" /proc/cpuinfo | sort -nrk4'

För att övervaka uppestatusen hos sina servrar, och spara ett exemplar av utdatan från varje körning till en fil, kan man använda detta. -p gör att kommandot kör var 10:e sekund oavsett hur lång tid det tog att avsluta den föregående körningen.

    watch -n10 -p -d '{ date; for i in 10.0.0.31 10.0.0.32 10.0.0.33; do R=OK; ping -c2 -W2 "$i" &>/dev/null || R=FAIL; echo "$i: $R"; done } | tee -a ~/log'

Du kan se om din administratör installerar den senaste kärnan med

    watch uname -r

FEL
När terminalens dimensioner ändras registreras inte ändringen av dess innehåll vid nästa körning av kommando. --chgexit kommer inte utlösas den gången och räknaren av --equexit kommer inte starta om även om kommando skrev ut ändringar under tiden. Markering med --differences återställs.

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org. Skicka synpunkter på översättningen till